Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs
Class XSAttributeDecl

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.XSAttributeDecl

All Implemented Interfaces:
  XSAttributeDeclaration, XSObject

public class XSAttributeDecl
extends java.lang.Object
implements XSAttributeDeclaration

The XML representation for an attribute declaration schema component is an element information item

Version:
  $Id: XSAttributeDecl.java,v 1.11 2003/01/14 20:21:45 elena Exp $
Author:
  Elena Litani, IBM, Sandy Gao, IBM

Field Summary
`static short` | `SCOPE_ABSENT`
`static short` | `SCOPE_GLOBAL`
`static short` | `SCOPE_LOCAL`

Constructor Summary
`XSAttributeDecl()`

Method Summary
`XSAnnotation` | `getAnnotation()` Optional.
`short` | `getConstraintType()` Value constraint: one of default, fixed.
`java.lang.String` | `getConstraintValue()` Value constraint: The actual value (with respect to the {type definition}) Should we return Object instead of DOMString?
`XSComplexTypeDefinition` | `getEnclosingCTDefinition()` Locally scoped declarations are available for use only within the complex type definition identified by the `scope` property.
`java.lang.String` | `getName()` The `name` of this `XSObject` depending on the `XSObject` type.
`java.lang.String` | `getNamespace()` The namespace URI of this node, or `null` if it is unspecified.
`XSNamespaceItem` | `getNamespaceItem()` A namespace schema information itemcorresponding to the target namespace of the component, if it's globally declared; or null otherwise.
`short` | `getScope()` Optional.
`short` | `getType()` Get the type of the object, i.e ELEMENT_DECLARATION.
`XSSimpleTypeDefinition` | `getTypeDefinition()` A simple type definition
`ValidatedInfo` | `getValInfo()`
`void` | `reset()`
`void` | `setValues(java.lang.String name, java.lang.String targetNamespace, XSSimpleType simpleType, short constraintType, short scope, ValidatedInfo valInfo, XSComplexTypeDecl enclosingCT)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SCOPE_ABSENT

    public static final short SCOPE_ABSENT

### SCOPE_GLOBAL

    public static final short SCOPE_GLOBAL

### SCOPE_LOCAL

    public static final short SCOPE_LOCAL

Constructor Detail

### XSAttributeDecl

    public XSAttributeDecl()

Method Detail

### setValues

    public void setValues(java.lang.String name,
                          java.lang.String targetNamespace,
                          XSSimpleType simpleType,
                          short constraintType,
                          short scope,
                          ValidatedInfo valInfo,
                          XSComplexTypeDecl enclosingCT)

### reset

    public void reset()

### getType

    public short getType()

  Get the type of the object, i.e ELEMENT_DECLARATION.
  Specified by:
    `getType` in interface `XSObject`

### getName

    public java.lang.String getName()

  The `name` of this `XSObject` depending on the `XSObject` type.
  Specified by:
    `getName` in interface `XSObject`

### getNamespace

    public java.lang.String getNamespace()

  The namespace URI of this node, or `null` if it is unspecified. defines how a namespace URI is attached to schema components.
  Specified by:
    `getNamespace` in interface `XSObject`

### getTypeDefinition

    public XSSimpleTypeDefinition getTypeDefinition()

  A simple type definition
  Specified by:
    `getTypeDefinition` in interface `XSAttributeDeclaration`

### getScope

    public short getScope()

  Optional. Either global or a complex type definition ( `ctDefinition`). This property is absent in the case of declarations within attribute group definitions: their scope will be determined when they are used in the construction of complex type definitions.
  Specified by:
    `getScope` in interface `XSAttributeDeclaration`

### getEnclosingCTDefinition

    public XSComplexTypeDefinition getEnclosingCTDefinition()

  Locally scoped declarations are available for use only within the complex type definition identified by the `scope` property.
  Specified by:
    `getEnclosingCTDefinition` in interface `XSAttributeDeclaration`

### getConstraintType

    public short getConstraintType()

  Value constraint: one of default, fixed.
  Specified by:
    `getConstraintType` in interface `XSAttributeDeclaration`

### getConstraintValue

    public java.lang.String getConstraintValue()

  Value constraint: The actual value (with respect to the {type definition}) Should we return Object instead of DOMString?
  Specified by:
    `getConstraintValue` in interface `XSAttributeDeclaration`

### getAnnotation

    public XSAnnotation getAnnotation()

  Optional. Annotation.
  Specified by:
    `getAnnotation` in interface `XSAttributeDeclaration`

### getValInfo

    public ValidatedInfo getValInfo()

### getNamespaceItem

    public XSNamespaceItem getNamespaceItem()

  Description copied from interface: `XSObject`
  A namespace schema information itemcorresponding to the target namespace of the component, if it's globally declared; or null otherwise.
  Specified by:
    `getNamespaceItem` in interface `XSObject`
  See Also:
    `XSObject.getNamespaceItem()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.